### Method

# Gtk.Button.get_icon_name

#### Declaration [src]

    const char*
    gtk_button_get_icon_name (
      GtkButton* button
    )

#### Description [src]

Returns the icon name of the button.

If the icon name has not been set with `gtk_button_set_icon_name()` the return value will be `NULL`. This will be the case if you create an empty button with `gtk_button_new()` to use as a container.

Gets property | `Gtk.Button:icon-name`

#### Return value

Returns: `const char*`
The icon name set via `gtk_button_set_icon_name()`
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string